snap or flatpak for Porteus?

Non release banter
Kulle
Samurai
Samurai
Posts: 172
Joined: 28 Jan 2017, 10:39
Distribution: v4.0 64bit Xfce
Location: Berlin

snap or flatpak for Porteus?

Post#1 by Kulle » 13 Mar 2019, 09:00

The app store for Linux:
https://snapcraft.io/store
And if the distro supports snaps you can install program xyz from the snap store with a single command:
snap install xyz
Very easy and optimal for normal users !!
tome used snapd from Manjaro repo:
snap (snapd)
But snapd is also available for debian:
https://packages.debian.org/en/sid/snapd
Can Snapd also be used for Porteus?
Are there any new insights?

User avatar
francois
Contributor
Contributor
Posts: 5649
Joined: 28 Dec 2010, 14:25
Distribution: xfce plank porteus nemesis
Location: Le printemps, le printemps, le printemps... ... l'hiver s'essoufle.

snap (snapd) for Porteus?

Post#2 by francois » 15 Mar 2019, 00:23

Just an idea like that. Why don't you try to run it with nemesis as snapd is available under arch linux:
https://wiki.archlinux.org/index.php/Snap
Nemesis thread
2019 Updated Nemesis Base Modules
Neko's xfce nemesis iso:
2019 Updated Nemesis Base Modules
Prendre son temps, profiter de celui qui passe.

User avatar
francois
Contributor
Contributor
Posts: 5649
Joined: 28 Dec 2010, 14:25
Distribution: xfce plank porteus nemesis
Location: Le printemps, le printemps, le printemps... ... l'hiver s'essoufle.

snap (snapd) for Porteus?

Post#3 by francois » 14 Apr 2019, 20:09

@Kulle:
Any news about snapd imported to porteus?
Prendre son temps, profiter de celui qui passe.

Kulle
Samurai
Samurai
Posts: 172
Joined: 28 Jan 2017, 10:39
Distribution: v4.0 64bit Xfce
Location: Berlin

snap (snapd) for Porteus?

Post#4 by Kulle » 22 Apr 2019, 13:22

Hi francois,
I downloaded from https://packages.debian.org:
snapd_2.21-2 + b1_amd64.deb
Then deb2xzm and run:
root@porteus:/home/guest# snap find chromium
error: cannot list snaps: cannot communicate with server: Get http://localhost/v2/find?q=chromium: dial unix /run/snapd-snap.socket: connect: no such file or directory
root@porteus:/home/guest# snap install midori
error: cannot communicate with server: Post http://localhost/v2/snaps/midori: dial unix /run/snapd-snap.socket: connect: no such file or directory
communication error!

User avatar
francois
Contributor
Contributor
Posts: 5649
Joined: 28 Dec 2010, 14:25
Distribution: xfce plank porteus nemesis
Location: Le printemps, le printemps, le printemps... ... l'hiver s'essoufle.

snap (snapd) for Porteus?

Post#5 by francois » 24 Apr 2019, 02:02

1) snapd stretch needs dependencies, debian or slackware equivalents:
Requires

Code: Select all

Name	                       Value
adduser	-
apparmor	>= 2.10.95-0ubuntu2.2
ca-certificates	-
gnupg	-
gnupg1	-
init-system-helpers	>= 1.18~
libc6	>= 2.3.2
snap-confine	= 2.21-2+b1
squashfs-tools	-
systemd	-
ubuntu-core-launcher	= 2.21-2+b1
In addition, you will have to test command line to make sure dependencies are met and maybe make a link between debian deps and slackware /lib64/ or something like that. Only way to know is to try. Only patience is needed.

or more simply

2) maybe you can try git viewtopic.php?t=3040&start=165

Code: Select all

usm -u all
usm -g git
git clone https://github.com/snapcore/snapd.git
1) and 2) both dead ends, as snapd has to be adapted for systemd see:
https://wiki.archlinux.org/index.php/Snap#Installation
and
https://forum.snapcraft.io/t/gentoo-update-needed/3029
and gentoo solution:
https://github.com/JamesB192/JamesB192-overlay
Prendre son temps, profiter de celui qui passe.

Kulle
Samurai
Samurai
Posts: 172
Joined: 28 Jan 2017, 10:39
Distribution: v4.0 64bit Xfce
Location: Berlin

snap (snapd) for Porteus?

Post#6 by Kulle » 24 Apr 2019, 09:31

Hi francois,
elaborate and complicated (a task only for the experts!),
but very desirable for Porteus 5.0

User avatar
francois
Contributor
Contributor
Posts: 5649
Joined: 28 Dec 2010, 14:25
Distribution: xfce plank porteus nemesis
Location: Le printemps, le printemps, le printemps... ... l'hiver s'essoufle.

snap (snapd) for Porteus?

Post#7 by francois » 25 Apr 2019, 02:10

The main problem is with dependency called:

Code: Select all

systemd	-
There is no chance of that happening with porteus which is not systemd.
:roll:
Prendre son temps, profiter de celui qui passe.

nanZor
Samurai
Samurai
Posts: 185
Joined: 09 Apr 2019, 03:27
Distribution: Porteus 5.0 RC1 XFCE
Location: Los Angeles

snap (snapd) for Porteus?

Post#8 by nanZor » 29 Apr 2019, 08:20

Well, there's always Flatpak too these days.

Well, looks like they dropped the requirement for systemd, but that doesn't mean it won't be required in the very near future at the drop of a (red)hat, um, IBM pulling the strings now?
That's a UNIX book - cool. -Garth

User avatar
francois
Contributor
Contributor
Posts: 5649
Joined: 28 Dec 2010, 14:25
Distribution: xfce plank porteus nemesis
Location: Le printemps, le printemps, le printemps... ... l'hiver s'essoufle.

snap (snapd) for Porteus?

Post#9 by francois » 01 May 2019, 18:36

flatpak and snapd review favoring the former:
https://www.phoronix.com/scan.php?page= ... 18-Distros

Code: Select all

root@porteus:/home/guest# usm -g flatpak
find: `/tmp/xdg-runtime-guest/gvfs': Permission denied

 The following items were found.
 Choose an number to confirm. 
 ctrl+c to quit

1) flatpak-0.11.7-x86_64-1_slonly.txz
#? 1
And from:
https://doc.ubuntu-fr.org/flatpak

Code: Select all

root@porteus:/home/guest# flatpak remote-add --if-not-exists flathub https://flathub.org/repo/flathub.flatpakrepo
flatpak: error while loading shared libraries: libyaml-0.so.2: cannot open shared object file: No such file or directory
root@porteus:/home/guest# 
To be continued. B)
Prendre son temps, profiter de celui qui passe.

Kulle
Samurai
Samurai
Posts: 172
Joined: 28 Jan 2017, 10:39
Distribution: v4.0 64bit Xfce
Location: Berlin

snap (snapd) for Porteus?

Post#10 by Kulle » 06 Jul 2019, 13:39

francois wrote:
To be continued. B)
Is there already success?
snapd or flatpak are a wish for Porteus 5.0
The normal users would be very happy.

User avatar
francois
Contributor
Contributor
Posts: 5649
Joined: 28 Dec 2010, 14:25
Distribution: xfce plank porteus nemesis
Location: Le printemps, le printemps, le printemps... ... l'hiver s'essoufle.

snap (snapd) for Porteus?

Post#11 by francois » 15 Jul 2019, 03:50

Maybe just adding the libraries proposed at the end of this link could solve the problem:
https://slackbuilds.org/repository/14.2 ... p/flatpak/

601 applications
https://flathub.org/apps/category/All
Prendre son temps, profiter de celui qui passe.

Kulle
Samurai
Samurai
Posts: 172
Joined: 28 Jan 2017, 10:39
Distribution: v4.0 64bit Xfce
Location: Berlin

snap (snapd) for Porteus?

Post#12 by Kulle » 18 Jul 2019, 07:07

Hi Francois,
Via usm I created successfully: flatpak-0.11.7-x86_64-bundle.xzm
and I downloaded VLC ("org.videolan.VLC.flatpakref") from https://flathub.org/apps
And now the test !!

Code: Select all

guest@porteus:~$ sudo flatpak remote-add --if-not-exists flathub https://flathub.org/repo/flathub.flatpakrepo
Password: 
guest@porteus:~$ sudo flatpak install --from $HOME/Downloads/org.videolan.VLC.flatpakref 
error: Can't load dependent file https://dl.flathub.org/repo/flathub.flatpakrepo TLS support is not available
Error: TLS support is not available ?!
Who can help?
Many Thanks

User avatar
ncmprhnsbl
DEV Team
DEV Team
Posts: 2140
Joined: 20 Mar 2012, 03:42
Distribution: 5.0rc1-64bit all-DE+more
Location: australia
Contact:

snap (snapd) for Porteus?

Post#13 by ncmprhnsbl » 18 Jul 2019, 12:12

see: https://github.com/flatpak/flatpak/issues/1207
could be a network issue(vague answer)
try turning off the firewall, if it's running..
or add glib-networking
Forum Rules : https://forum.porteus.org/viewtopic.php?f=35&t=44

Kulle
Samurai
Samurai
Posts: 172
Joined: 28 Jan 2017, 10:39
Distribution: v4.0 64bit Xfce
Location: Berlin

snap (snapd) for Porteus?

Post#14 by Kulle » 19 Jul 2019, 07:48

Thanks ncmprhnsbl
I have additionally activated:
glib-networking-2.60.3-x86_64-1.xzm
gsettings-desktop-schemas-3.18.1-x86_64-1.xzm
glibc-2.29-x86_64-3.xzm
New try:

Code: Select all

guest@porteus:~$ sudo flatpak install --from $HOME/Downloads/org.videolan.VLC.flatpakref 
Passwort: 
(flatpak install:3737): GLib-GObject-WARNING **: 18:21:41.013: g_object_class_override_property: Can't find property to override for 'GTlsConnectionGnutls::advertised-protocols'
(flatpak install:3737): GLib-GObject-WARNING **: 18:21:41.013: g_object_class_override_property: Can't find property to override for 'GTlsConnectionGnutls::negotiated-protocol'
double free or corruption (out)
Aborted
I have already searched with google, but found no solution.
And now?

Kulle
Samurai
Samurai
Posts: 172
Joined: 28 Jan 2017, 10:39
Distribution: v4.0 64bit Xfce
Location: Berlin

snap (snapd) for Porteus?

Post#15 by Kulle » 19 Jul 2019, 09:32

My guess: glibc is not correct
I have now used an older version: glibc-2.23-x86_64-bundle.xzm

New try

Code: Select all

guest@porteus:~$ sudo flatpak install --from $HOME/Downloads/org.videolan.VLC.flatpakref 

(flatpak install:2322): GLib-GObject-WARNING **: 09:37:50.097: g_object_class_override_property: Can't find property to override for 'GTlsConnectionGnutls::advertised-protocols'
Installing: org.videolan.VLC/x86_64/stable
Required runtime for org.videolan.VLC/x86_64/stable (org.kde.Platform/x86_64/5.12) is not installed, searching...
Found in remote flathub, do you want to install it? [y/n]: y
Installing: org.kde.Platform/x86_64/5.12 from flathub
...
(flatpak install:2322): flatpak-WARNING **: 09:40:48.990: Error running trigger mime-database.trigger: Failed to execute child process ?bwrap? (No such file or directory)
Installing: org.videolan.VLC.Locale/x86_64/stable from org.videolan.VLC-origin
[####################] 387 metadata, 150 content objects fetched; 12949 KiB tran
guest@porteus:~$ flatpak run org.videolan.VLC.Locale
error: app/org.videolan.VLC.Locale/x86_64/master not installed
Not a full success yet!

Post Reply